#pragma once
#include "../vulkan.h"
#include <filesystem>
namespace filesystem = std::filesystem;
namespace vulkanapi {
	class Device;
	class Queue;
	class SPIRVCompiler {
	public:
		static void CompileAllShader(string path);

	private:
		static void GenerateSPIRVFragFile(const filesystem::path& path);
		static void GenerateSPIRVVertFile(const filesystem::path& path);
	};
}